> This page is for Developers.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://zuora.ferndocs.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://zuora.ferndocs.com/_mcp/server.

# Retrieve the status and response of a job

GET https://rest.test.zuora.com/v1/async-jobs/{jobId}

**Note:** This operation is only available if you have the [Orders](https://knowledgecenter.zuora.com/BC_Subscription_Management/Orders/AA_Overview_of_Orders#Orders) feature enabled. If you are an existing Zuora Subscribe and Amend customer, we recommend you enable Orders Harmonization to access the Orders feature. With Orders, you can access both existing functions for subscription and billing management and the new features on Zuora Billing.

**Note:** The [Order Line Items](https://knowledgecenter.zuora.com/Billing/Subscriptions/Orders/Order_Line_Items/AA_Overview_of_Order_Line_Items) feature is now generally available to all Zuora customers. You need to enable the [Orders](https://knowledgecenter.zuora.com/BC_Subscription_Management/Orders/AA_Overview_of_Orders#Orders) feature to access the [Order Line Items](https://knowledgecenter.zuora.com/Billing/Subscriptions/Orders/Order_Line_Items/AA_Overview_of_Order_Line_Items) feature. As of Zuora Billing Release 313 (November 2021), new customers who onboard on [Orders](https://docs.zuora.com/en/zuora-billing/manage-accounts-subscriptions-and-non-subscriptions/manage-subscription-transactions/orders/orders-introduction/overview-of-orders) will have the [Order Line Items](https://knowledgecenter.zuora.com/Billing/Subscriptions/Orders/Order_Line_Items) feature enabled by default.

Get the status and response of an asynchronous job. Currently, an asynchronous job created by "Create an order asynchronously" or "Preview an order asynchronously" is supported.

Reference: https://zuora.ferndocs.com/developers/api-reference/zuora-api/orders-and-subscriptions/orders/get-job-status-and-response

## Authentication

- `Authorization` header (bearer token, required) — Use `Bearer {{token}}` in the `Authorization` header for authentication.

## Servers

- `https://rest.test.zuora.com` (US Developer & Central Sandbox (incl. Test Drive), default)
- `https://rest.sandbox.na.zuora.com` (US API Sandbox Cloud 1)
- `https://rest.apisandbox.zuora.com` (US API Sandbox Cloud 2)
- `https://rest.na.zuora.com` (US Production Cloud 1)
- `https://rest.zuora.com` (US Production Cloud 2)
- `https://rest.test.eu.zuora.com` (EU Developer & Central Sandbox)
- `https://rest.sandbox.eu.zuora.com` (EU API Sandbox)
- `https://rest.eu.zuora.com` (EU Production)
- `https://rest.test.ap.zuora.com` (APAC Developer & Central Sandbox)
- `https://rest.ap.zuora.com` (APAC Production)

## Request

### Path parameters

- `jobId` (string, required) — UUID of the asynchronous job created by an asynchronous API operation.

### Headers

- `Accept-Encoding` (string, optional) — Include the `Accept-Encoding: gzip` header to compress responses as a gzipped file. It can significantly reduce the bandwidth required for a response. If specified, Zuora automatically compresses responses that contain over 1000 bytes of data, and the response contains a `Content-Encoding` header with the compression algorithm so that your client can decompress it.
- `Content-Encoding` (string, optional) — Include the `Content-Encoding: gzip` header to compress a request. With this header specified, you should upload a gzipped file for the request payload instead of sending the JSON payload.
- `Zuora-Track-Id` (string, optional) — A custom identifier for tracing the API call. If you set a value for this header, Zuora returns the same value in the response headers. This header enables you to associate your system process identifiers with Zuora API calls, to assist with troubleshooting in the event of an issue. The value of this field must use the US-ASCII character set and must not include any of the following characters: colon (`:`), semicolon (`;`), double quote (`"`), and quote (`'`).
- `Zuora-Version` (string, optional) — The minor API version. For a list of available minor versions, see [API upgrades](https://developer.zuora.com/v1-api-reference/api-upgrades/).

## Response

### 200

OK

- `errors` (string, optional, nullable) — Error messages returned if the job failed.
- `result` (GetAsyncOrderJobResponseResult, optional)
- `status` (enum, optional) — Type of job status.
  - Allowed values: `Processing`, `Failed`, `Completed`
- `success` (boolean, optional) — Indicates whether the operation call succeeded.

## Errors

### 500 Internal Server Error

Internal Server Error

- `reasons` (list of ErrorResponseReasonsItems, optional)

### 400 Client Request Error

Request Errors

- `processId` (string, optional) — The ID of the process that handles the operation.
- `reasons` (list of CommonResponseReasonsItems, optional) — The container of the error code and message. This field is available only if the `success` field is `false`.
- `requestId` (string, optional) — Unique identifier of the request.
- `success` (boolean, optional) — Indicates whether the call succeeded.

## Types

### GetAsyncOrderJobResponseResult

- `jobType`: `AsyncCreateOrder` (AsyncCreateOrder)
  - `accountId` (string, optional) — The account ID for the order. This field is returned instead of the `accountNumber` field if the `returnIds` query parameter is set to `true`.
  - `accountNumber` (string, optional) — The account number for the order.
  - `commitments` (list of CommitmentOutput, optional) — The commitments created by this order request.
  - `creditMemoIds` (list of string, optional) — An array of the credit memo IDs generated in this order request. The credit memo is only available if you have the Invoice Settlement feature enabled. This field is returned instead of the `creditMemoNumbers` field if the `returnIds` query parameter is set to `true`.
  - `creditMemoNumbers` (list of string, optional) — An array of the credit memo numbers generated in this order request. The credit memo is only available if you have the Invoice Settlement feature enabled.
  - `invoiceIds` (list of string, optional) — An array of the invoice IDs generated in this order request. Normally it includes one invoice ID only, but can include multiple items when a subscription was tagged as invoice separately. This field is returned instead of the `invoiceNumbers` field if the `returnIds` query parameter is set to `true`.
  - `invoiceNumbers` (list of string, optional) — An array of the invoice numbers generated in this order request. Normally it includes one invoice number only, but can include multiple items when a subscription was tagged as invoice separately.
  - `orderId` (string, optional) — The ID of the order created. This field is returned instead of the `orderNumber` field if the `returnIds` query parameter is set to `true`.
  - `orderLineItems` (list of GetAsyncCreateOrderJobResponseOrderLineItemsItems, optional) — [Order Line Items](https://knowledgecenter.zuora.com/Billing/Subscriptions/Orders/Order_Line_Items/AA_Overview_of_Order_Line_Items) are non subscription based items created by an Order, representing transactional charges such as one-time fees, physical goods, or professional service charges that are not sold as subscription services. With the Order Line Items feature enabled, you can now launch non-subscription and unified monetization business models in Zuora, in addition to subscription business models. **Note:** The [Order Line Items](https://knowledgecenter.zuora.com/Billing/Subscriptions/Orders/Order_Line_Items/AA_Overview_of_Order_Line_Items) feature is now generally available to all Zuora customers. You need to enable the [Orders](https://knowledgecenter.zuora.com/BC_Subscription_Management/Orders/AA_Overview_of_Orders#Orders) feature to access the [Order Line Items](https://knowledgecenter.zuora.com/Billing/Subscriptions/Orders/Order_Line_Items/AA_Overview_of_Order_Line_Items) feature. As of Zuora Billing Release 313 (November 2021), new customers who onboard on [Orders](https://docs.zuora.com/en/zuora-billing/manage-accounts-subscriptions-and-non-subscriptions/manage-subscription-transactions/orders/orders-introduction/overview-of-orders) will have the [Order Line Items](https://knowledgecenter.zuora.com/Billing/Subscriptions/Orders/Order_Line_Items) feature enabled by default.
  - `orderNumber` (string, optional) — The order number of the order created.
  - `paidAmount` (string, optional) — The total amount collected in this order request.
  - `paymentId` (string, optional) — The payment Id that is collected in this order request. This field is returned instead of the `paymentNumber` field if the `returnIds` query parameter is set to `true`.
  - `paymentNumber` (string, optional) — The payment number that is collected in this order request.
  - `processId` (string, optional) — The ID of the process that handles the operation.
  - `ramps` (list of GetAsyncCreateOrderJobResponseRampsItems, optional) — **Note**: This field is only available if you have the Ramps feature enabled. The [Orders](https://docs.zuora.com/en/zuora-billing/manage-accounts-subscriptions-and-non-subscriptions/manage-subscription-transactions/orders/orders-introduction/overview-of-orders) feature must be enabled before you can access the [Ramps](https://knowledgecenter.zuora.com/Billing/Subscriptions/Orders/Ramps_and_Ramp_Metrics/A_Overview_of_Ramps_and_Ramp_Metrics) feature. The Ramps feature is available for customers with Enterprise and Nine editions by default. If you are a Growth customer, see [Zuora Editions](https://docs.zuora.com/en/entitlements/current-entitlements/zuora-editions) for pricing information coming October 2020. The ramp definitions created by this order request.
  - `reasons` (list of GetAsyncCreateOrderJobResponseReasonsItems, optional) — The container of the error code and message. This field is available only if the `success` field is `false`.
  - `refunds` (list of GetAsyncCreateOrderJobResponseRefundsItems, optional) — Container for refunds.
  - `requestId` (string, optional) — Unique identifier of the request.
  - `status` (enum, optional) — Status of the order. `Pending` is only applicable for an order that contains a `CreateSubscription` order action.
    - Allowed values: `Draft`, `Pending`, `Completed`, `Scheduled`
  - `subscriptionIds` (list of string, optional) — Container for the subscription IDs of the subscriptions in an order. This field is returned if the `returnIds` query parameter is set to `true`.
  - `success` (boolean, optional) — Indicates whether the call succeeded.
  - `writeOff` (list of GetAsyncCreateOrderJobResponseWriteOffItems, optional) — Container for write-offs.
- `jobType`: `AsyncPreviewOrder` (AsyncPreviewOrder)
  - `chargeMetrics` (list of GetAsyncPreviewOrderJobResponseChargeMetricsItems, optional)
  - `creditMemos` (list of GetAsyncPreviewOrderJobResponseCreditMemosItems, optional) — This field is only available if you have the Invoice Settlement feature enabled.
  - `invoices` (list of GetAsyncPreviewOrderJobResponseInvoicesItems, optional)
  - `orderDeltaMetrics` (GetAsyncPreviewOrderJobResponseOrderDeltaMetrics, optional) — **Note:** As of Zuora Billing Release 306, Zuora has upgraded the methodologies for calculating metrics in [Orders](https://knowledgecenter.zuora.com/Billing/Subscriptions/Orders). The new methodologies are reflected in the following Order Delta Metrics objects. * [Order Delta Mrr](https://knowledgecenter.zuora.com/Billing/Subscriptions/Orders/Order_Delta_Metrics/Order_Delta_Mrr) * [Order Delta Tcv](https://knowledgecenter.zuora.com/Billing/Subscriptions/Orders/Order_Delta_Metrics/Order_Delta_Tcv) * [Order Delta Tcb](https://knowledgecenter.zuora.com/Billing/Subscriptions/Orders/Order_Delta_Metrics/Order_Delta_Tcb) It is recommended that all customers use the new [Order Delta Metrics](https://knowledgecenter.zuora.com/Billing/Subscriptions/Orders/Order_Delta_Metrics/AA_Overview_of_Order_Delta_Metrics). If you are an existing [Order Metrics](https://docs.zuora.com/en/zuora-billing/manage-accounts-subscriptions-and-non-subscriptions/manage-subscription-transactions/orders/orders-introduction/overview-of-orders/Key_Metrics_for_Orders) customer and want to migrate to Order Delta Metrics, submit a request at [Zuora Global Support](https://support.zuora.com/).
  - `orderMetrics` (list of GetAsyncPreviewOrderJobResponseOrderMetricsItems, optional) — **Note:** As of Zuora Billing Release 306, Zuora has upgraded the methodologies for calculating metrics in [Orders](https://knowledgecenter.zuora.com/Billing/Subscriptions/Orders). The new methodologies are reflected in the following Order Delta Metrics objects. * [Order Delta Mrr](https://knowledgecenter.zuora.com/Billing/Subscriptions/Orders/Order_Delta_Metrics/Order_Delta_Mrr) * [Order Delta Tcv](https://knowledgecenter.zuora.com/Billing/Subscriptions/Orders/Order_Delta_Metrics/Order_Delta_Tcv) * [Order Delta Tcb](https://knowledgecenter.zuora.com/Billing/Subscriptions/Orders/Order_Delta_Metrics/Order_Delta_Tcb) It is recommended that all customers use the new [Order Delta Metrics](https://knowledgecenter.zuora.com/Billing/Subscriptions/Orders/Order_Delta_Metrics/AA_Overview_of_Order_Delta_Metrics). If you are an existing [Order Metrics](https://docs.zuora.com/en/zuora-billing/manage-accounts-subscriptions-and-non-subscriptions/manage-subscription-transactions/orders/orders-introduction/overview-of-orders/Key_Metrics_for_Orders) customer and want to migrate to Order Delta Metrics, submit a request at [Zuora Global Support](https://support.zuora.com/). Whereas new customers, and existing customers not currently on [Order Metrics](https://docs.zuora.com/en/zuora-billing/manage-accounts-subscriptions-and-non-subscriptions/manage-subscription-transactions/orders/orders-introduction/overview-of-orders/Key_Metrics_for_Orders), will no longer have access to Order Metrics, existing customers currently using Order Metrics will continue to be supported.
  - `processId` (string, optional) — The ID of the process that handles the operation.
  - `rampMetrics` (list of OrderRampMetrics, optional) — **Note**: This field is only available if you have the Ramps feature enabled. The [Orders](https://docs.zuora.com/en/zuora-billing/manage-accounts-subscriptions-and-non-subscriptions/manage-subscription-transactions/orders/orders-introduction/overview-of-orders) feature must be enabled before you can access the [Ramps](https://knowledgecenter.zuora.com/Billing/Subscriptions/Orders/Ramps_and_Ramp_Metrics/A_Overview_of_Ramps_and_Ramp_Metrics) feature. The Ramps feature is available for customers with Enterprise and Nine editions by default. If you are a Growth customer, see [Zuora Editions](https://docs.zuora.com/en/entitlements/current-entitlements/zuora-editions) for pricing information coming October 2020. The ramp metrics.
  - `reasons` (list of GetAsyncPreviewOrderJobResponseReasonsItems, optional) — The container of the error code and message. This field is available only if the `success` field is `false`.
  - `requestId` (string, optional) — Unique identifier of the request.
  - `success` (boolean, optional) — Indicates whether the call succeeded.

### ErrorResponseReasonsItems

- `code` (string, optional) — The error code of response.
- `message` (string, optional) — The detail information of the error response

### CommonResponseReasonsItems

- `code` (string, optional) — The error code of response.
- `message` (string, optional) — The detail information of the error response

### CommitmentOutput

The Commitment object in the "Create an order" or "Update an order" response.

- `id` (string, optional) — ID of the commitment
- `commitmentNumber` (string, optional) — Number of the commitment.
- `prepaymentType` (enum, optional) — The prepayment type of the commitment.
  - Allowed values: `NotPrepaid`, `FullyPrepaid`
- `type` (enum, optional) — The type of the commitment.
  - Allowed values: `MinCommitment`, `MaxCommitment`
- `startDate` (date, optional) — The start date of the commitment.
- `endDate` (date, optional) — The end date of the commitment.
- `status` (enum, optional) — The status of the commitment.
  - Allowed values: `Cancel1ed`, `Active`, `Evaluated`, `CancelledPendingEvaluation`
- `totalAmount` (double, optional) — The total amount of the commitment.
- `schedules` (list of CommitmentOutputSchedulesItems, optional) — A list of Commitment schedule objects.

### GetAsyncCreateOrderJobResponseOrderLineItemsItems

- `id` (string, optional) — The sytem generated Id for the Order Line Item.
- `itemNumber` (string, optional) — The number for the Order Line Item.

### GetAsyncCreateOrderJobResponseRampsItems

- `rampNumber` (string, optional) — The number of the ramp definition.
- `subscriptionNumber` (string, optional) — The number of the subscription that this ramp deal definition is applied to.

### GetAsyncCreateOrderJobResponseReasonsItems

- `code` (string, optional) — The error code of response.
- `message` (string, optional) — The detail information of the error response

### GetAsyncCreateOrderJobResponseRefundsItems

- `number` (string, optional) — The refund number.
- `refundInvoiceNumbers` (list of string, optional) — An array of the refunded invoice numbers generated in this order request.
- `status` (enum, optional) — The status of the refund.
  - Allowed values: `Success`, `Error`

### GetAsyncCreateOrderJobResponseWriteOffItems

- `amount` (double, optional) — The amount written off from the invoice balance.
- `failedReason` (string, optional) — The reason of write-off failure.
- `invoiceNumber` (string, optional) — The number of the invoice that is written off.
- `status` (enum, optional) — The status of the write-off.
  - Allowed values: `Success`, `Failed`
- `writeOffCreditMemoNumber` (string, optional) — The number of the credit memo that is written off.

### GetAsyncPreviewOrderJobResponseChargeMetricsItems

- `charges` (list of ChargePreviewMetrics, optional)
- `subscriptionNumber` (string, optional) — The number of the subscription that has been affected by this order. When creating a subscription, this value will not show if the subscription number was not specified in the request.

### GetAsyncPreviewOrderJobResponseCreditMemosItems

- `amount` (double, optional)
- `amountWithoutTax` (double, optional)
- `creditMemoItems` (list of InvoiceItemPreviewResult, optional)
- `targetDate` (date, optional)
- `taxAmount` (double, optional)

### GetAsyncPreviewOrderJobResponseInvoicesItems

- `amount` (double, optional) — The total amount of the invoice.
- `amountWithoutTax` (double, optional) — The amount of the invoice without tax.
- `invoiceItems` (list of InvoiceItemPreviewResult, optional) — The invoice items on the invoice.
- `targetDate` (date, optional) — The target date to bill the invoice.
- `taxAmount` (double, optional) — The total tax amount of the invoice.
- `invoiceItemSummary` (list of InvoiceItemSummary, optional) — The aggregated summary data for all future invoices to be billed within the preview period. This field is returned only if you set the `summarizeInvoiceItem` query parameter to `true`.

### GetAsyncPreviewOrderJobResponseOrderDeltaMetrics

**Note:** As of Zuora Billing Release 306, Zuora has upgraded the methodologies for calculating metrics in [Orders](https://knowledgecenter.zuora.com/Billing/Subscriptions/Orders). The new methodologies are reflected in the following Order Delta Metrics objects. * [Order Delta Mrr](https://knowledgecenter.zuora.com/Billing/Subscriptions/Orders/Order_Delta_Metrics/Order_Delta_Mrr) * [Order Delta Tcv](https://knowledgecenter.zuora.com/Billing/Subscriptions/Orders/Order_Delta_Metrics/Order_Delta_Tcv) * [Order Delta Tcb](https://knowledgecenter.zuora.com/Billing/Subscriptions/Orders/Order_Delta_Metrics/Order_Delta_Tcb) It is recommended that all customers use the new [Order Delta Metrics](https://knowledgecenter.zuora.com/Billing/Subscriptions/Orders/Order_Delta_Metrics/AA_Overview_of_Order_Delta_Metrics). If you are an existing [Order Metrics](https://docs.zuora.com/en/zuora-billing/manage-accounts-subscriptions-and-non-subscriptions/manage-subscription-transactions/orders/orders-introduction/overview-of-orders/Key_Metrics_for_Orders) customer and want to migrate to Order Delta Metrics, submit a request at [Zuora Global Support](https://support.zuora.com/).

- `orderDeltaMrr` (list of OrderDeltaMrr, optional)
- `orderDeltaTcb` (list of OrderDeltaTcb, optional)
- `orderDeltaTcv` (list of OrderDeltaTcv, optional)

### GetAsyncPreviewOrderJobResponseOrderMetricsItems

- `orderActions` (list of GetAsyncPreviewOrderJobResponseOrderMetricsItemsOrderActionsItems, optional)
- `subscriptionNumber` (string, optional)

### OrderRampMetrics

- `description` (string, optional) — The short description of the ramp.
- `discountTcb` (double, optional) — The discount amount for the TCB.
- `discountTcv` (double, optional) — The discount amount for the TCV.
- `grossTcb` (double, optional) — The gross TCB value before discount charges are applied.
- `grossTcv` (double, optional) — The gross TCV value before discount charges are applied.
- `intervals` (list of OrderRampIntervalMetrics, optional) — The ramp metrics for each ramp intervals in its timeline.
- `name` (string, optional) — The name of the ramp.
- `netTcb` (double, optional) — The net TCB value after discount charges are applied.
- `netTcv` (double, optional) — The net TCV value after discount charges are applied.
- `number` (string, optional) — The number of the ramp. It is automaticcally generated by the billing system.

### GetAsyncPreviewOrderJobResponseReasonsItems

- `code` (string, optional) — The error code of response.
- `message` (string, optional) — The detail information of the error response

### CommitmentOutputSchedulesItems

- `id` (string, optional) — The ID of the schedule.
- `startDate` (string, optional) — The start date of the schedule.
- `endDate` (string, optional) — The end date of the schedule.
- `prepaymentDefinition` (PrepaymentDefinition, optional) — The prepayment definition for the commitment schedule.
- `totalAmount` (double, optional) — The total amount of the schedule.
- `status` (enum, optional) — The status of the schedule.
  - Allowed values: `Active`, `Evaluated`, `Cancelled`, `CancelledPendingEvaluation`

### ChargePreviewMetrics

- `chargeNumber` (string, optional)
- `cmrr` (ChargePreviewMetricsCmrr, optional)
- `originRatePlanId` (string, optional)
- `productRatePlanChargeId` (string, optional)
- `productRatePlanId` (string, optional)
- `subscriptionRatePlanNumber` (string, optional) — Number of a subscription rate plan for this subscription.
- `tax` (ChargePreviewMetricsTax, optional)
- `tcb` (ChargePreviewMetricsTcb, optional)
- `tcv` (ChargePreviewMetricsTcv, optional)

### InvoiceItemPreviewResult

- `additionalInfo` (InvoiceItemPreviewResultAdditionalInfo, optional)
- `amountWithoutTax` (double, optional)
- `appliedToChargeNumber` (string, optional) — Available when the chargeNumber of the charge that discount applies to was specified in the request or when the order is amending an existing subscription.
- `chargeDescription` (string, optional)
- `chargeName` (string, optional)
- `chargeNumber` (string, optional, nullable) — Available when the `chargeNumber` field was specified in the request or when the order is amending an existing subscription.
- `orderLineItemNumber` (string, optional, nullable) — A sequential number auto-assigned for each of order line items in a order, used as an index, for example, "1".
- `processingType` (enum, optional)
  - Allowed values: `Charge`, `Discount`, `Tax`
- `productName` (string, optional)
- `productRatePlanChargeId` (string, optional) — The product rate plan charge ID in this `productRatePlanChargeId` field belongs to a product rate plan specified through the `subscribeToRatePlans` > `productRatePlanId` field. Therefore, this `productRatePlanChargeId` field has a value only when the `subscribeToRatePlans` > `productRatePlanId` field is specified during the subscription creation. This `productRatePlanChargeId` field does not indicate a product rate plan charge associated with an order line item.
- `serviceEndDate` (date, optional)
- `serviceStartDate` (date, optional)
- `subscriptionNumber` (string, optional, nullable) — The number of the subscription.
- `taxAmount` (double, optional)
- `taxationItems` (list of InvoiceItemPreviewResultTaxationItemsItems, optional) — List of taxation items. **Note**: This field is available only if you are on the latest Zuora API minor version, or you set the `Zuora-Version` request header to `309.0` or [a later available version](https://developer.zuora.com/v1-api-reference/api-versions/#minor-version).
- `unitPrice` (double, optional) — The per-unit price of the invoice item.

### InvoiceItemSummary

- `previewInvoiceSequence` (double, optional) — The sequence number of the invoice to be billed.
- `subTotal` (double, optional) — The aggregated subtotal amount of the invoice.
- `discountAmount` (double, optional) — The aggregated discount amount of the invoice.
- `taxAmount` (double, optional) — The aggregated tax amount of the invoice.
- `total` (double, optional) — The aggregated total amount of the invoice.
- `servicePeriodStartDate` (date, optional) — The start date of the period being billed.
- `servicePeriodEndDate` (date, optional) — The end date of the period being billed.

### OrderDeltaMrr

Order Delta Mrr. This is a metric that reflects the change to the TCV on rate plan charge object as the result of the order.

- `chargeNumber` (string, optional) — The charge number for the associated Rate Plan Charge. This field can be null if the metric is generated for an Order Line Item.
- `currency` (string, optional) — ISO 3-letter currency code (uppercase). For example, USD.
- `endDate` (date, optional) — The end date for the order delta metric.
- `grossAmount` (double, optional) — The gross amount for the metric. The is the amount excluding applied discount.
- `netAmount` (double, optional) — The net amount for the metric. The is the amount with discounts applied
- `orderActionId` (string, optional) — The Id for the related Order Action. This field can be null if the metric is generated for an Order Line Item.
- `orderActionSequence` (string, optional) — The sequence for the related Order Action. This field can be null if the metric is generated for an Order Line Item.
- `orderActionType` (string, optional) — The type for the related Order Action. This field can be null if the metric is generated for an Order Line Item.
- `orderLineItemNumber` (string, optional) — A sequential number auto-assigned for each of order line items in a order, used as an index, for example, "1".
- `productRatePlanChargeId` (string, optional) — The Id for the associated Product Rate Plan Charge. This field can be null if the Order Line Item is not associated with a Product Rate Plan Charge.
- `ratePlanChargeId` (string, optional) — The id for the associated Rate Plan Charge. This field can be null if the metric is generated for an Order Line Item.
- `startDate` (date, optional) — The start date for the order delta metric.
- `subscriptionNumber` (string, optional) — The number of the subscription. This field can be null if the metric is generated for an Order Line Item.

### OrderDeltaTcb

Order Delta Tcb. This is a metric that reflects the change to the estimated billing on Rate Plan Charge object, or the estimated billing for an Order Line Item as the result of the order

- `chargeNumber` (string, optional) — The charge number for the associated Rate Plan Charge. This field can be null if the metric is generated for an Order Line Item.
- `currency` (string, optional) — ISO 3-letter currency code (uppercase). For example, USD.
- `endDate` (date, optional) — The end date for the order delta metric.
- `grossAmount` (double, optional) — The gross amount for the metric. The is the amount excluding applied discount.
- `netAmount` (double, optional) — The net amount for the metric. The is the amount with discounts applied
- `orderActionId` (string, optional) — The Id for the related Order Action. This field can be null if the metric is generated for an Order Line Item.
- `orderActionSequence` (string, optional) — The sequence for the related Order Action. This field can be null if the metric is generated for an Order Line Item.
- `orderActionType` (string, optional) — The type for the related Order Action. This field can be null if the metric is generated for an Order Line Item.
- `orderLineItemNumber` (string, optional) — A sequential number auto-assigned for each of order line items in a order, used as an index, for example, "1".
- `productRatePlanChargeId` (string, optional) — The Id for the associated Product Rate Plan Charge. This field can be null if the Order Line Item is not associated with a Product Rate Plan Charge.
- `ratePlanChargeId` (string, optional) — The id for the associated Rate Plan Charge. This field can be null if the metric is generated for an Order Line Item.
- `startDate` (date, optional) — The start date for the order delta metric.
- `subscriptionNumber` (string, optional) — The number of the subscription. This field can be null if the metric is generated for an Order Line Item.
- `orderLineItemId` (string, optional) — The sytem generated Id for the Order Line Item. This field can be null if the metric is generated for a Rate Plan Charge.

### OrderDeltaTcv

Order Delta Tcv. This is a metric that reflects the change to the TCV on Rate Plan Charge object, or the Total Contracted Value for an Order Line Item as the result of the order

- `chargeNumber` (string, optional) — The charge number for the associated Rate Plan Charge. This field can be null if the metric is generated for an Order Line Item.
- `currency` (string, optional) — ISO 3-letter currency code (uppercase). For example, USD.
- `endDate` (date, optional) — The end date for the order delta metric.
- `grossAmount` (double, optional) — The gross amount for the metric. The is the amount excluding applied discount.
- `netAmount` (double, optional) — The net amount for the metric. The is the amount with discounts applied
- `orderActionId` (string, optional) — The Id for the related Order Action. This field can be null if the metric is generated for an Order Line Item.
- `orderActionSequence` (string, optional) — The sequence for the related Order Action. This field can be null if the metric is generated for an Order Line Item.
- `orderActionType` (string, optional) — The type for the related Order Action. This field can be null if the metric is generated for an Order Line Item.
- `orderLineItemNumber` (string, optional) — A sequential number auto-assigned for each of order line items in a order, used as an index, for example, "1".
- `productRatePlanChargeId` (string, optional) — The Id for the associated Product Rate Plan Charge. This field can be null if the Order Line Item is not associated with a Product Rate Plan Charge.
- `ratePlanChargeId` (string, optional) — The id for the associated Rate Plan Charge. This field can be null if the metric is generated for an Order Line Item.
- `startDate` (date, optional) — The start date for the order delta metric.
- `subscriptionNumber` (string, optional) — The number of the subscription. This field can be null if the metric is generated for an Order Line Item.
- `orderLineItemId` (string, optional) — The sytem generated Id for the Order Line Item. This field can be null if the metric is generated for subscriptions.

### GetAsyncPreviewOrderJobResponseOrderMetricsItemsOrderActionsItems

- `orderItems` (list of OrderItem, optional) — The `orderItems` nested field is only available to existing Orders customers who already have access to the field. **Note:** The following objects and fields of the Order Metrics are end of support. Any new customers who onboard on [Orders](https://docs.zuora.com/en/zuora-billing/manage-accounts-subscriptions-and-non-subscriptions/manage-subscription-transactions/orders/orders-introduction/overview-of-orders) or [Orders Harmonization](https://knowledgecenter.zuora.com/Billing/Subscriptions/Orders/Orders_Harmonization/Orders_Harmonization) will not get these metrics. * The Order ELP and Order Item objects * The "Generated Reason" and "Order Item ID" fields in the Order MRR, Order TCB, Order TCV, and Order Quantity objects Zuora no longer provides product support, and bug fixes or security issues are no longer addressed.
- `orderMetrics` (list of orderMetric, optional) — The container for order metrics. **Note:** The following objects and fields of the Order Metrics are end of support. Any new customers who onboard on [Orders](https://docs.zuora.com/en/zuora-billing/manage-accounts-subscriptions-and-non-subscriptions/manage-subscription-transactions/orders/orders-introduction/overview-of-orders) or [Orders Harmonization](https://knowledgecenter.zuora.com/Billing/Subscriptions/Orders/Orders_Harmonization/Orders_Harmonization) will not get these metrics. * The Order ELP and Order Item objects * The "Generated Reason" and "Order Item ID" fields in the Order MRR, Order TCB, Order TCV, and Order Quantity objects Zuora no longer provides product support, and bug fixes or security issues are no longer addressed.
- `sequence` (string, optional)
- `type` (string, optional)

### OrderRampIntervalMetrics

- `description` (string, optional) — The short description of the interval.
- `discountTcb` (double, optional) — The discount amount for the TCB.
- `discountTcv` (double, optional) — The discount amount for the TCV.
- `endDate` (date, optional) — The end date of the interval.
- `grossTcb` (double, optional) — The gross TCB value before discount charges are applied.
- `grossTcv` (double, optional) — The gross TCV value before discount charges are applied.
- `intervalDeltaMetrics` (list of RampIntervalChargeDeltaMetrics, optional) — Container for the delta metrics for each rate plan charge in each ramp interval. The delta is the difference of the subscription metrics between before and after the order.
- `intervalMetrics` (list of RampIntervalChargeMetrics, optional) — Container for the detailed metrics for each rate plan charge in each ramp interval.
- `name` (string, optional) — The name of the interval.
- `netTcb` (double, optional) — The net TCB value after discount charges are applied.
- `netTcv` (double, optional) — The net TCV value after discount charges are applied.
- `startDate` (date, optional) — The start date of the interval.

### PrepaymentDefinition

The prepayment definition for the commitment schedule.

- `prepaymentFrequency` (enum, optional) — The prepayment frequency for the prepayment definition. If the value is `Specific_Months`, `Specific_Weeks`, or `Specific_Days`, use the `specificFrequency` field to specify the duration.
  - Allowed values: `Month`, `Quarter`, `Semi_Annual`, `Annual`, `Eighteen_Months`, `Two_Years`, `Three_Years`, `Five_Years`, `Specific_Months`, `Week`, `Specific_Weeks`, `Specific_Days`
- `specificFrequency` (integer, optional) — The specific frequency length. This field is required when `prepaymentFrequency` is `Specific_Months`, `Specific_Weeks`, or `Specific_Days`.
- `customFields` (map from string to any, optional) — Container for custom fields of a prepayment definition object.

### ChargePreviewMetricsCmrr

- `discount` (double, optional) — Total discountCmrr of all discount charges which are applied to one specific recurring charge. This value is calculated from the rating results for the latest subscription version in the order. Only selects the applied discount charge when its endDateCondition is "Subscription_End".
- `discountDelta` (double, optional) — Delta discountCmrr value between the order base and the latest subscription version.
- `regular` (double, optional)
- `regularDelta` (double, optional)

### ChargePreviewMetricsTax

- `discount` (double, optional) — Total tax amount of all discount charges which are applied to one specific recurring charge. This value is calculated from the rating results for the latest subscription version in the order.
- `discountDelta` (double, optional) — Delta discount TAX value between the base and the latest subscription version in the order for the specific recurring charge.
- `regular` (double, optional)
- `regularDelta` (double, optional) — Delta tax value between the base and the latest subscription version in the order.

### ChargePreviewMetricsTcb

- `discount` (double, optional) — Total contract billing amount of all discount charges which are applied to one specific recurring charge. This value is calculated from the rating results for the latest subscription version in the order.
- `discountDelta` (double, optional) — Delta discount TCB value between the base and the latest subscription version for specific recurring charge in the order.
- `regular` (double, optional)
- `regularDelta` (double, optional) — Delta TCB value between the base and the latest subscription version in the order.

### ChargePreviewMetricsTcv

- `discount` (double, optional) — Always equals to discountTcb.
- `discountDelta` (double, optional) — Always equals to delta discountTcb.
- `regular` (double, optional)
- `regularDelta` (double, optional)

### InvoiceItemPreviewResultAdditionalInfo

- `numberOfDeliveries` (double, optional) — The number of deliveries dedicated to the Delivery Pricing charges. **Note**: This field is available only if you have the Delivery Pricing feature enabled.
- `quantity` (double, optional)
- `unitOfMeasure` (string, optional)

### InvoiceItemPreviewResultTaxationItemsItems

- `exemptAmount` (double, optional) — The calculated tax amount excluded due to the exemption.
- `id` (string, optional) — The ID of the taxation item.
- `jurisdiction` (string, optional) — The jurisdiction that applies the tax or VAT. This value is typically a state, province, county, or city.
- `locationCode` (string, optional) — The identifier for the location based on the value of the taxCode field.
- `name` (string, optional) — The name of the taxation item.
- `taxAmount` (double, optional) — The amount of the tax applied to the invoice.
- `taxCode` (string, optional) — The tax code identifies which tax rules and tax rates to apply to a specific invoice.
- `taxCodeDescription` (string, optional) — The description of the tax code.
- `taxDate` (string, optional) — The date when the tax is applied to the invoice.
- `taxRate` (double, optional) — The tax rate applied to the invoice.
- `taxRateDescription` (string, optional) — The description of the tax rate.
- `taxRateType` (enum, optional) — Enum:"Percentage" "FlatFee". The type of the tax rate applied to the invoice.
  - Allowed values: `Percentage`, `FlatFee`

### OrderItem

Represents an order item. An order item is a sales item within an order in the context of the recurring subscription business model. It can be a unit of products or a service, but defined by both quantity and term (the start and end dates). For the one time and the recurring charge types, if an order action causes a quantity metric creation (when the delta quantity equals to or is greater than zero), an order item is created. The following order actions will create an order item for the one time and recurring charges. The other order actions will refer to an existing order item. Also, the Owner Transfer order action always creates an order item whose quantity field is zero. * Create Subscription * Terms and Conditions - Extend Term * Renewal * Update Product - Increase Quantity * Add product * Owner Transfer For the usage charge type, if the order action causes a usage increase, an order item is created, and the quantity field of the order item is always zero. The following order actions will create an order item for for the usage charges. * Create Subscription * Terms and Conditions - Extend Term * Renewal * Add product * Owner Transfer

- `endDate` (date, optional) — The order item's effective end date, aligned with the end date of an increased quantity order metrics.
- `id` (string, optional) — The ID of the order item.
- `orderActionId` (string, optional) — Specify the order action that creates this order item.
- `quantity` (double, optional) — The order item quantity. For the usage charge type, the value of this field is always zero. Also, the Owner Transfer order action always creates an order item whose Quantity field is zero.
- `scId` (string, optional) — The ID of the charge segment that gets newly generated when the order item is created.
- `startDate` (date, optional) — The order item's effective start date, aligned with the start date of an increased quantity order metrics.

### orderMetric

The set of order metrics for an order action.

- `chargeNumber` (string, optional)
- `elp` (list of TimeSlicedElpNetMetrics, optional) — The extended list price which is calculated by the original product catalog list price multiplied by the delta quantity. The `elp` nested field is only available to existing Orders customers who already have access to the field. **Note:** The following objects and fields of the Order Metrics are end of support. Any new customers who onboard on [Orders](https://docs.zuora.com/en/zuora-billing/manage-accounts-subscriptions-and-non-subscriptions/manage-subscription-transactions/orders/orders-introduction/overview-of-orders) or [Orders Harmonization](https://knowledgecenter.zuora.com/Billing/Subscriptions/Orders/Orders_Harmonization/Orders_Harmonization) will not get these metrics. * The Order ELP and Order Item objects * The "Generated Reason" and "Order Item ID" fields in the Order MRR, Order TCB, Order TCV, and Order Quantity objects Zuora no longer provides product support, and bug fixes or security issues are no longer addressed.
- `mrr` (list of TimeSlicedNetMetrics, optional)
- `originRatePlanId` (string, optional)
- `productRatePlanChargeId` (string, optional)
- `productRatePlanId` (string, optional)
- `subscriptionRatePlanNumber` (string, optional) — Number of a subscription rate plan for this subscription.
- `quantity` (list of TimeSlicedMetrics, optional)
- `tcb` (list of TimeSlicedTcbNetMetrics, optional) — Total contracted billing which is the forecast value for the total invoice amount.
- `tcv` (list of TimeSlicedNetMetrics, optional) — Total contracted value.

### RampIntervalChargeDeltaMetrics

- `chargeNumber` (string, optional) — The number of the rate plan charge.
- `deltaDiscountTcb` (double, optional) — The discount delta amount for the TCB.
- `deltaDiscountTcv` (double, optional) — The discount delta amount for the TCV.
- `deltaGrossTcb` (double, optional) — The TCB delta value before discount charges are applied.
- `deltaGrossTcv` (double, optional) — The TCV delta value before discount charges are applied.
- `deltaMrr` (list of RampIntervalChargeDeltaMetricsDeltaMrrItems, optional) — The MRR changing history of the current rate plan charge in the current ramp interval.
- `deltaNetTcb` (double, optional) — The TCB delta value after discount charges are applied.
- `deltaNetTcv` (double, optional) — The TCV delta value after discount charges are applied.
- `deltaQuantity` (list of RampIntervalChargeDeltaMetricsDeltaQuantityItems, optional) — The charge quantity changing history of the current rate plan charge in the current ramp interval.
- `productRatePlanChargeId` (string, optional) — The ID of the corresponding product rate plan charge.
- `subscriptionNumber` (string, optional) — The number of the subscription that the current rate plan charge belongs to.

### RampIntervalChargeMetrics

- `chargeNumber` (string, optional) — The number of the charge.
- `discountTcb` (double, optional) — The discount amount for the TCB.
- `discountTcv` (double, optional) — The discount amount for the TCV.
- `endDate` (date, optional) — The end date of the rate plan charge in the current ramp interval.
- `grossTcb` (double, optional) — The gross TCB value before discount charges are applied.
- `grossTcv` (double, optional) — The gross TCV value before discount charges are applied.
- `mrr` (list of RampIntervalChargeMetricsMrrItems, optional) — The MRR changing history of the current rate plan charge in the current ramp interval.
- `netTcb` (double, optional) — The net TCB value after discount charges are applied.
- `netTcv` (double, optional) — The net TCV value after discount charges are applied.
- `productRatePlanChargeId` (string, optional) — The ID of the corresponding product rate plan charge.
- `quantity` (double, optional) — The quantity of the rate plan charge.
- `ratePlanChargeId` (string, optional) — The ID of the rate plan charge.
- `startDate` (date, optional) — The start date of the rate plan charge in the current ramp interval.
- `subscriptionNumber` (string, optional) — The number of the subscription that the current rate plan charge belongs to.

### TimeSlicedElpNetMetrics

- `amount` (double, optional) — The extended list price which is calculated by the original product catalog list price multiplied by the delta quantity.
- `endDate` (date, optional) — The latest date that the metric applies.
- `generatedReason` (enum, optional) — Specify the reason why the metrics are generated by the certain order action.
  - Allowed values: `IncreaseQuantity`, `DecreaseQuantity`, `ChangePrice`, `Extension`, `Contraction`
- `invoiceOwner` (string, optional) — The acount number of the billing account that is billed for the subscription.
- `orderItemId` (string, optional) — The ID of the order item referenced by the order metrics.
- `startDate` (date, optional) — The earliest date that the metric applies.
- `subscriptionOwner` (string, optional) — The acount number of the billing account that owns the subscription.
- `tax` (double, optional) — The tax amount in the metric when the tax permission is enabled.
- `termNumber` (double, optional)
- `type` (enum, optional) — The type for ELP is always "Regular".
  - Allowed values: `Regular`, `Discount`

### TimeSlicedNetMetrics

- `amount` (double, optional)
- `discountChargeNumber` (string, optional)
- `endDate` (date, optional)
- `generatedReason` (enum, optional) — Specify the reason why the metrics are generated by the certain order action. This field is only available to existing Orders customers who already have access to the field. **Note:** The following objects and fields of the Order Metrics are end of support. Any new customers who onboard on [Orders](https://docs.zuora.com/en/zuora-billing/manage-accounts-subscriptions-and-non-subscriptions/manage-subscription-transactions/orders/orders-introduction/overview-of-orders) or [Orders Harmonization](https://knowledgecenter.zuora.com/Billing/Subscriptions/Orders/Orders_Harmonization/Orders_Harmonization) will not get these metrics. * The Order ELP and Order Item objects * The "Generated Reason" and "Order Item ID" fields in the Order MRR, Order TCB, Order TCV, and Order Quantity objects Zuora no longer provides product support, and bug fixes or security issues are no longer addressed.
  - Allowed values: `IncreaseQuantity`, `DecreaseQuantity`, `ChangePrice`, `Extension`, `Contraction`
- `invoiceOwner` (string, optional) — The acount number of the billing account that is billed for the subscription.
- `orderItemId` (string, optional) — The ID of the order item referenced by the order metrics. This field is only available to existing Orders customers who already have access to the field. **Note:** The following objects and fields of the Order Metrics are end of support. Any new customers who onboard on [Orders](https://docs.zuora.com/en/zuora-billing/manage-accounts-subscriptions-and-non-subscriptions/manage-subscription-transactions/orders/orders-introduction/overview-of-orders) or [Orders Harmonization](https://knowledgecenter.zuora.com/Billing/Subscriptions/Orders/Orders_Harmonization/Orders_Harmonization) will not get these metrics. * The Order ELP and Order Item objects * The "Generated Reason" and "Order Item ID" fields in the Order MRR, Order TCB, Order TCV, and Order Quantity objects Zuora no longer provides product support, and bug fixes or security issues are no longer addressed.
- `startDate` (date, optional)
- `subscriptionOwner` (string, optional) — The acount number of the billing account that owns the subscription.
- `termNumber` (double, optional)
- `type` (enum, optional) — Indicates whether this metrics is for a regular charge or a discount charge.
  - Allowed values: `Regular`, `Discount`

### TimeSlicedMetrics

- `amount` (double, optional)
- `endDate` (date, optional)
- `generatedReason` (enum, optional) — Specify the reason why the metrics are generated by the certain order action. This field is only available to existing Orders customers who already have access to the field. **Note:** The following objects and fields of the Order Metrics are end of support. Any new customers who onboard on [Orders](https://docs.zuora.com/en/zuora-billing/manage-accounts-subscriptions-and-non-subscriptions/manage-subscription-transactions/orders/orders-introduction/overview-of-orders) or [Orders Harmonization](https://knowledgecenter.zuora.com/Billing/Subscriptions/Orders/Orders_Harmonization/Orders_Harmonization) will not get these metrics. * The Order ELP and Order Item objects * The "Generated Reason" and "Order Item ID" fields in the Order MRR, Order TCB, Order TCV, and Order Quantity objects Zuora no longer provides product support, and bug fixes or security issues are no longer addressed.
  - Allowed values: `IncreaseQuantity`, `DecreaseQuantity`, `ChangePrice`, `Extension`, `Contraction`
- `invoiceOwner` (string, optional) — The acount number of the billing account that is billed for the subscription.
- `orderItemId` (string, optional) — The ID of the order item referenced by the order metrics. This field is only available to existing Orders customers who already have access to the field. **Note:** The following objects and fields of the Order Metrics are end of support. Any new customers who onboard on [Orders](https://docs.zuora.com/en/zuora-billing/manage-accounts-subscriptions-and-non-subscriptions/manage-subscription-transactions/orders/orders-introduction/overview-of-orders) or [Orders Harmonization](https://knowledgecenter.zuora.com/Billing/Subscriptions/Orders/Orders_Harmonization/Orders_Harmonization) will not get these metrics. * The Order ELP and Order Item objects * The "Generated Reason" and "Order Item ID" fields in the Order MRR, Order TCB, Order TCV, and Order Quantity objects Zuora no longer provides product support, and bug fixes or security issues are no longer addressed.
- `startDate` (date, optional)
- `subscriptionOwner` (string, optional) — The acount number of the billing account that owns the subscription.
- `termNumber` (double, optional)

### TimeSlicedTcbNetMetrics

- `amount` (double, optional)
- `discountChargeNumber` (string, optional)
- `endDate` (date, optional)
- `generatedReason` (enum, optional) — Specify the reason why the metrics are generated by the certain order action. This field is only available to existing Orders customers who already have access to the field. **Note:** The following objects and fields of the Order Metrics are end of support. Any new customers who onboard on [Orders](https://docs.zuora.com/en/zuora-billing/manage-accounts-subscriptions-and-non-subscriptions/manage-subscription-transactions/orders/orders-introduction/overview-of-orders) or [Orders Harmonization](https://knowledgecenter.zuora.com/Billing/Subscriptions/Orders/Orders_Harmonization/Orders_Harmonization) will not get these metrics. * The Order ELP and Order Item objects * The "Generated Reason" and "Order Item ID" fields in the Order MRR, Order TCB, Order TCV, and Order Quantity objects Zuora no longer provides product support, and bug fixes or security issues are no longer addressed.
  - Allowed values: `IncreaseQuantity`, `DecreaseQuantity`, `ChangePrice`, `Extension`, `Contraction`
- `invoiceOwner` (string, optional) — The acount number of the billing account that is billed for the subscription.
- `orderItemId` (string, optional) — The ID of the order item referenced by the order metrics. This field is only available to existing Orders customers who already have access to the field. **Note:** The following objects and fields of the Order Metrics are end of support. Any new customers who onboard on [Orders](https://docs.zuora.com/en/zuora-billing/manage-accounts-subscriptions-and-non-subscriptions/manage-subscription-transactions/orders/orders-introduction/overview-of-orders) or [Orders Harmonization](https://knowledgecenter.zuora.com/Billing/Subscriptions/Orders/Orders_Harmonization/Orders_Harmonization) will not get these metrics. * The Order ELP and Order Item objects * The "Generated Reason" and "Order Item ID" fields in the Order MRR, Order TCB, Order TCV, and Order Quantity objects Zuora no longer provides product support, and bug fixes or security issues are no longer addressed.
- `startDate` (date, optional)
- `subscriptionOwner` (string, optional) — The acount number of the billing account that owns the subscription.
- `tax` (double, optional)
- `termNumber` (double, optional)
- `type` (enum, optional) — Indicates whether this metrics is for a regular charge or a discount charge.
  - Allowed values: `Regular`, `Discount`

### RampIntervalChargeDeltaMetricsDeltaMrrItems

- `discount` (double, optional) — The discount delta amount for the MRR.
- `endDate` (date, optional) — The end date.
- `gross` (double, optional) — The MRR delta amount before discounts charges are applied.
- `net` (double, optional) — The MRR delta amount after discounts charges are applied.
- `startDate` (date, optional) — The start date.

### RampIntervalChargeDeltaMetricsDeltaQuantityItems

- `amount` (double, optional) — The delta amount of the charge quantity.
- `endDate` (date, optional) — The end date.
- `startDate` (date, optional) — The start date.

### RampIntervalChargeMetricsMrrItems

- `discount` (double, optional) — The discount amount for the MRR.
- `endDate` (date, optional) — The end date.
- `gross` (double, optional) — The gross MRR amount before discounts charges are applied.
- `net` (double, optional) — The net MRR amount after discounts charges are applied.
- `startDate` (date, optional) — The start date.

## Examples

**Response**

```json
{
  "errors": null,
  "result": {
    "jobType": "AsyncPreviewOrder",
    "success": true,
    "accountNumber": "A00000001",
    "invoiceNumbers": [
      "INV00000001"
    ],
    "orderLineItems": [
      {
        "id": "bd78c0522adf42c2aa0fccacc997fa20",
        "itemNumber": "116"
      }
    ],
    "orderNumber": "OM-00002",
    "paidAmount": "300",
    "paymentNumber": "P-00000002",
    "status": "Pending",
    "subscriptions": [
      {
        "status": "Pending Activation",
        "subscriptionNumber": "SM-00001"
      },
      {
        "status": "Pending Acceptance",
        "subscriptionNumber": "SM-00002"
      },
      {
        "status": "Active",
        "subscriptionNumber": "SM-00003"
      },
      {
        "status": "Pending Acceptance",
        "subscriptionNumber": "SM-00004"
      }
    ]
  },
  "status": "Completed",
  "success": true
}
```

**SDK Code**

```python response
import requests

url = "https://rest.test.zuora.com/v1/async-jobs/jobId"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript response
const url = 'https://rest.test.zuora.com/v1/async-jobs/jobId';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go response
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://rest.test.zuora.com/v1/async-jobs/jobId"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby response
require 'uri'
require 'net/http'

url = URI("https://rest.test.zuora.com/v1/async-jobs/jobId")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java response
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://rest.test.zuora.com/v1/async-jobs/jobId")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php response
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://rest.test.zuora.com/v1/async-jobs/jobId', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp response
using RestSharp;

var client = new RestClient("https://rest.test.zuora.com/v1/async-jobs/jobId");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift response
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://rest.test.zuora.com/v1/async-jobs/jobId")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```